Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager
Interface IPortalPresentationManager

All Known Subinterfaces:
  PortalPresentationManager

    public interface IPortalPresentationManager

Provides a level of abstraction over the `IDesktopDefinitionManager` and the `IPortalDefinitionManager`. These methods are intended for Oracle internal use only.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`com.bea.netuix.application.definition.PortalResource` | `getCustomizedPortalResource(CustomizationContext customizationContext, String webAppName, PortalPath portalPath, DesktopPath desktopPath)` Returns a customized `PortalResource` object that a combination of the `webAppName`, `PortalPath`, `DesktopPath` and user permissions resolves to.
`com.bea.netuix.application.definition.PortalResource` | `getPortalResource(CustomizationContext customizationContext, String webAppName, PortalPath portalPath, DesktopPath desktopPath)` Returns a `PortalResource` object that a combination of the `webAppName`, `PortalPath`, `DesktopPath` and user permissions resolves to.

Method Detail

### getPortalResource

    com.bea.netuix.application.definition.PortalResource getPortalResource(CustomizationContext customizationContext,
                                                                           String webAppName,
                                                                           PortalPath portalPath,
                                                                           DesktopPath desktopPath)
                                                                           throws RemoteException

  Returns a `PortalResource` object that a combination of the `webAppName`, `PortalPath`, `DesktopPath` and user permissions resolves to.
  If this combination does not resolve to a Desktop, the default `Desktop` is returned.
  If a default `Desktop` does not exist, the content uri to the `PortalDefinition` is returned.

  Parameters
    `customizationContext` - customization information
    `webAppName` - J2EE web application name
    `portalPath` - `PortalPath`
    `desktopPath` - `DesktopPath`, can be null in which case portal resource uri will be returned
  Returns
    PortalResource
  Throws
    `RemoteException`

### getCustomizedPortalResource

    com.bea.netuix.application.definition.PortalResource getCustomizedPortalResource(CustomizationContext customizationContext,
                                                                                     String webAppName,
                                                                                     PortalPath portalPath,
                                                                                     DesktopPath desktopPath)
                                                                                     throws RemoteException

  Returns a customized `PortalResource` object that a combination of the `webAppName`, `PortalPath`, `DesktopPath` and user permissions resolves to.
  If this combination does not resolve to a Desktop, null is returned.

  Parameters
    `customizationContext` - customization information
    `webAppName` - J2EE web application name
    `portalPath` - `PortalPath`
    `desktopPath` - `DesktopPath`, can be null in which case portal resource uri will be returned
  Returns
    PortalResource
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.